> ## Documentation Index
> Fetch the complete documentation index at: https://composio-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Uniswap Api

> Uniswap Trading API for executing swaps and managing liquidity across 25+ blockchain networks

![Uniswap Api logo](https://mintcdn.com/composio-preview/DMB8UrgJmE7r-ZQ5/images/toolkits/uniswap_api.svg?fit=max\&auto=format\&n=DMB8UrgJmE7r-ZQ5\&q=85\&s=1270c0342ca4ab3168bcd08f7982f27d)

* **Category:** developer tools
* **Auth:** API\_KEY
* **Composio-managed OAuth available?** N/A
* **Tools:** 7
* **Triggers:** 0
* **Slug:** `UNISWAP_API`
* **Version:** 20261101\_00

## Tools

> [accordion] Check Token Approval
>
> **Slug:** `UNISWAP_API_CHECK_APPROVAL`
>
> Tool to check if a wallet has sufficient token approval for a specified transaction amount. Returns an approval transaction if needed, or null if approval already exists. Use this before executing a swap to verify or obtain the necessary token approval.
>
> #### Input Parameters
>
> **token** `string` *required*
>
> The token which will be sent, specified by its token address.
>
> **amount** `string` *required*
>
> The quantity of tokens denominated in the token's base units. For example, for an ERC20 token one token is 1x10^18 base units. For one USDC token one token is 1x10^6 base units.
>
> **chainId** `integer` *required*
>
> The unique ID of the blockchain.
>
> **urgency** `string ("normal" | "fast" | "urgent")`
>
> The urgency impacts the estimated gas price of the transaction. The higher the urgency, the higher the gas price.
>
> **tokenOut** `string`
>
> The token which will be received, specified by its token address.
>
> **walletAddress** `string` *required*
>
> The wallet address which will be used to send the token.
>
> **includeGasInfo** `boolean`
>
> If set to true, the response will include the estimated gas fee for the proposed transaction.
>
> **tokenOutChainId** `integer`
>
> The unique ID of the blockchain for the output token.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Check Wallet Delegation
>
> **Slug:** `UNISWAP_API_CHECK_WALLET_DELEGATION`
>
> Check delegation status for smart contract wallets across specified chains, including whether each wallet is delegated to Uniswap and its current and latest delegation addresses and delegator information. This operation is currently unavailable.
>
> #### Input Parameters
>
> **chain\_ids** `array` *required*
>
> Array of chain IDs to check delegation status for each wallet. Supported chain IDs include: 1 (Ethereum), 10 (Optimism), 56 (BNB Chain), 137 (Polygon), and others.
>
> **wallet\_addresses** `array` *required*
>
> Array of smart contract wallet addresses to check delegation status for. Each address must be a valid Ethereum-style address (0x followed by 40 hex characters).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Encode 7702 transactions
>
> **Slug:** `UNISWAP_API_ENCODE7702_TRANSACTIONS`
>
> Encode a list of transactions into a single EIP-7702 smart contract wallet transaction for atomic execution. All transactions must have the same chain ID. This operation is currently unavailable.
>
> #### Input Parameters
>
> **calls** `array` *required*
>
> Array of transaction requests to be encoded. All transactions must have the same chainId.
>
> **walletAddress** `string` *required*
>
> The smart contract wallet address.
>
> **smartContractDelegationAddress** `string` *required*
>
> The smart contract delegation address.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Gasless Orders
>
> **Slug:** `UNISWAP_API_GET_GASLESS_ORDERS`
>
> Retrieve one or more gasless orders from Uniswap, optionally filtered by query parameters. Must include at least one of: orderId, orderIds, orderStatus, swapper, or filler. Use when you need to check the status or details of Uniswap gasless orders (UniswapX orders).
>
> #### Input Parameters
>
> **sort** `string`
>
> Sort query. For example: sort=gt(UNIX\_TIMESTAMP), sort=between(1675872827, 1675872930), or lt(1675872930).
>
> **limit** `integer`
>
> Maximum number of orders to return.
>
> **cursor** `string`
>
> Cursor for pagination.
>
> **filler** `string`
>
> Filter by filler address (address of the filler who executed the order).
>
> **swapper** `string`
>
> Filter by swapper address (wallet address of the user who initiated the swap).
>
> **order\_id** `string`
>
> A unique ID for the order. Used to track the order's status.
>
> **sort\_key** `string ("createdAt")`
>
> Sort key for ordering results.
>
> **order\_ids** `string`
>
> A list of comma separated orderIds.
>
> **order\_type** `string ("Dutch" | "Dutch_V2" | "Dutch_V1_V2" | "Dutch_V3" | "Limit" | "Priority")`
>
> Order type for the request.
>
> **order\_status** `string ("open" | "expired" | "error" | "cancelled" | "filled" | "unverified" | "insufficient-funds")`
>
> Order status filter.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Quote
>
> **Slug:** `UNISWAP_API_GET_QUOTE`
>
> Request a quote for a swap, bridge, or wrap/unwrap operation. The response may include routing information and estimated gas fees.
>
> #### Input Parameters
>
> **type** `string ("EXACT_INPUT" | "EXACT_OUTPUT")`
>
> The handling of the amount field. EXACT\_INPUT means the requester will send the specified amount of input tokens and get a quote with a variable quantity of output tokens. EXACT\_OUTPUT means the requester will receive the specified amount of output tokens and get a quote with a variable quantity of input tokens.
>
> **amount** `string` *required*
>
> The quantity of tokens denominated in the token's base units. For example, for an ERC20 token one token is 10^18 base units. For one USDC token one token is 10^6 base units. This value must be greater than 0.
>
> **swapper** `string` *required*
>
> The wallet address which will be used to send the token.
>
> **urgency** `string ("normal" | "fast" | "urgent")`
>
> The urgency impacts the estimated gas price.
>
> **token\_in** `string` *required*
>
> The token which will be sent, specified by its token address.
>
> **protocols** `array`
>
> The protocols to use for the swap/order.
>
> **token\_out** `string` *required*
>
> The token which will be received, specified by its token address.
>
> **auto\_slippage** `string ("DEFAULT")`
>
> The auto slippage strategy for V4 pool quotes.
>
> **hooks\_options** `string ("V4_HOOKS_INCLUSIVE" | "V4_HOOKS_ONLY" | "V4_NO_HOOKS")`
>
> Hook options for V4 pool quotes.
>
> **permit\_amount** `string ("FULL" | "EXACT")`
>
> The permit amount for Uniswap protocol swaps.
>
> **integrator\_fees** `array`
>
> Optional integrator fee configuration.
>
> **token\_in\_chain\_id** `integer`
>
> The unique ID of the blockchain. For a list of supported chains see the FAQ.
>
> **routing\_preference** `string ("BEST_PRICE" | "FASTEST")`
>
> The routing preference for the quote.
>
> **slippage\_tolerance** `number`
>
> The slippage tolerance as a percentage up to a maximum of two decimal places.
>
> **token\_out\_chain\_id** `integer`
>
> The unique ID of the blockchain. For a list of supported chains see the FAQ.
>
> **spread\_optimization** `string ("EXECUTION" | "PRICE")`
>
> Spread optimization for UniswapX swaps.
>
> **generate\_permit\_as\_transaction** `boolean`
>
> Indicates whether you want to receive a permit2 transaction to sign and submit onchain, or a permit message to sign.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get swappable tokens
>
> **Slug:** `UNISWAP_API_GET_SWAPPABLE_TOKENS`
>
> Retrieve swappable or bridgeable destination tokens for a source token and chain, to discover cross-chain swap and bridge options. This operation is currently unavailable.
>
> #### Input Parameters
>
> **token\_in** `string`
>
> The contract address of the token on the source chain (zero address for native ETH).
>
> **token\_in\_chain\_id** `integer`
>
> The unique ID of the blockchain. For a list of supported chains see the FAQ ([https://api-docs.uniswap.org/guides/faqs](https://api-docs.uniswap.org/guides/faqs)). Default is 1 (Ethereum mainnet).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Swap Status
>
> **Slug:** `UNISWAP_API_GET_SWAP_STATUS`
>
> Tool to retrieve the current status of swap or bridge transactions on the Uniswap trading platform. Use when you need to check if a swap transaction has been confirmed, is pending, or has failed. Provide the transaction hash(es) to get the status of one or more swap transactions.
>
> #### Input Parameters
>
> **chain\_id** `integer`
>
> The unique ID of the blockchain. For a list of supported chains see the [FAQ](https://api-docs.uniswap.org/guides/faqs). Defaults to 1 (Ethereum mainnet).
>
> **tx\_hashes** `array` *required*
>
> The list of transaction hashes to check the swap status for.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not
